package intrinsic.mx.managers;

public class SystemManager extends intrinsic.flash.display.MovieClip implements intrinsic.mx.core.IFlexDisplayObject, intrinsic.mx.core.IFlexModuleFactory, intrinsic.mx.managers.ISystemManager, intrinsic.mx.core.IChildList {

	/** Accessors */
	public intrinsic.mx.core.IUIComponent application;
	public int toolTipIndex;
	public double explicitWidth;
	public double width;
	public intrinsic.flash.geom.Rectangle screen;
	public double height;
	public int applicationIndex;
	public intrinsic.flash.display.Sprite focusPane;
	public int $numChildren;
	public intrinsic.mx.core.IChildList toolTipChildren;
	public intrinsic.mx.core.IChildList popUpChildren;
	public intrinsic.mx.core.IChildList rawChildren;
	public intrinsic.mx.managers.ISystemManager topLevelSystemManager;
	public Object embeddedFontList;
	public intrinsic.mx.core.IChildList cursorChildren;
	public int numModalWindows;
	public int noTopMostIndex;
	public double measuredWidth;
	public double measuredHeight;
	public double mouseX;
	public intrinsic.flash.display.Stage stage;
	public double mouseY;
	public Object document;
	public int cursorIndex;
	public Object preloaderBackgroundImage;
	public String preloaderBackgroundSize;
	public int topMostIndex;
	public int numChildren;
	public double preloaderBackgroundAlpha;
	public int preloaderBackgroundColor;
	public double explicitHeight;

	/** Variables */
	public intrinsic.mx.core.IUIComponent topLevelWindow;
	public int nestLevel;
	public Object _mouseY;
	public Object _mouseX;
	public int idleCounter;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.mx.managers.SystemManager lastSystemManager;
	public static intrinsic.flash.utils.Dictionary allSystemManagers;

/** Contructors */
public SystemManager() {
}


/** Static Methods */
public static native intrinsic.flash.display.DisplayObject getSWFRoot(Object arg0);
public static native void registerInitCallback(intrinsic.Function arg0);

/** Methods */
public native double getExplicitOrMeasuredWidth();
public native boolean isTopLevelWindow(intrinsic.flash.display.DisplayObject arg0);
public native void deactivate(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_addChild(intrinsic.flash.display.DisplayObject arg0);
public native Object create();
public native void addingChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject rawChildren_removeChild(intrinsic.flash.display.DisplayObject arg0);
public native boolean isTopLevel();
public native boolean isFontFaceEmbedded(intrinsic.flash.text.TextFormat arg0);
public native int rawChildren_getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native boolean rawChildren_contains(intrinsic.flash.display.DisplayObject arg0);
public native void removeFocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native boolean contains(intrinsic.flash.display.DisplayObject arg0);
public native void rawChildren_setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void addFocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native void childAdded(intrinsic.flash.display.DisplayObject arg0);
public native void setActualSize(double arg0, double arg1);
public native void regenerateStyleCache(boolean arg0);
public native intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public native intrinsic.Array rawChildren_getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native double getExplicitOrMeasuredHeight();
public native void notifyStyleChangeInChildren(String arg0, boolean arg1);
public native Object info();
public native Object getDefinitionByName(String arg0);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject rawChildren_removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject getChildAt(int arg0);
public native void activate(intrinsic.mx.managers.IFocusManagerContainer arg0);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.Array getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native void removingChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject rawChildren_getChildByName(String arg0);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native void move(double arg0, double arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native intrinsic.flash.display.DisplayObject rawChildren_getChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native void childRemoved(intrinsic.flash.display.DisplayObject arg0);
public native void initialize();

}
